| DayF core 1.2.1.2 DayF (Decision at your Fingertips) is an AutoML freeware development framework that let developers works with Machine Learning models without any idea of AI, simply taking a csv dataset and the objective column

Public Member Functions | List of all members
gdayf.common.armetadata.ArMetadata Class Reference

Class ArMetadata manage the Analysis results structs on OrderedDict format and exportable to json. More...

Inheritance diagram for gdayf.common.armetadata.ArMetadata:
[legend]
Collaboration diagram for gdayf.common.armetadata.ArMetadata:
[legend]

## Public Member Functions
def | __init__ (self, type_='train')
| The constructor Generate an empty AR class with all DayF objects elements initialized to correct types.
def | get_json (self)
| Get json format string associted to class OredredDict parameters with encoding utf-8 and indent = 4. More...
def | copy_template (self, increment=1)
| Get ArMetadata and make a base copy of main parameters to get an ArMetadata structure to be analyzed. More...
def | pop (self, key, default=None)
| Anulate pop fetures from OrderedDict parent class. More...
def | popitem (self, last=True)
| Anulate popitem fetures from OrderedDict parent class Stability proposals.

## Detailed Description

Class ArMetadata manage the Analysis results structs on OrderedDict format and exportable to json.

Definition at line 22 of file armetadata.py.

## Member Function Documentation

## ◆ copy_template()

def gdayf.common.armetadata.ArMetadata.copy_template | ( |  | self,
|  |  | increment = `1`
| ) |  |

Get ArMetadata and make a base copy of main parameters to get an ArMetadata structure to be analyzed.

Parameters

  self | object pointer increment to be applied to new_model['round']

Returns
  OrderedDict() structure associated to json file with indent 4 and encoding utf-8

Definition at line 63 of file armetadata.py.

## ◆ get_json()

def gdayf.common.armetadata.ArMetadata.get_json | ( |  | self | ) |

Get json format string associted to class OredredDict parameters with encoding utf-8 and indent = 4.

Parameters

  self | object pointer

Returns
  OrderedDict() structure associated to json file with indent 4 and encoding utf-8

Definition at line 56 of file armetadata.py.

## ◆ pop()

def gdayf.common.armetadata.ArMetadata.pop | ( |  | self,
|  |  | key,
|  |  | default = `None`
| ) |  |

Anulate pop fetures from OrderedDict parent class.

Stability proposals

Definition at line 87 of file armetadata.py.

The documentation for this class was generated from the following file:

- D:/OneDrive/DayF/git/gdayf-core/src/gdayf/common/armetadata.py